unit Unit1;

interface

uses
  Windows, SysUtils, Messages, Classes, Graphics, Controls, Forms, Dialogs, 
  ExtCtrls, StdCtrls, Buttons, EExtenso;

type
  TForm1 = class(TForm)
    Extenso1: TEvExtenso;
    Panel2: TPanel;
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Memo1: TMemo;
    procedure Edit1Change(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}


procedure TForm1.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
  if Key = '.' then
    Key := ',';
  if not (Key in ['0'..'9', ',']) then
    begin
      MessageBeep(0);
      Key := #0;
    end;
end;


procedure TForm1.Edit1Change(Sender: TObject);
var
  Valor: Double;
begin
  Memo1.Text := '';
  if Edit1.Text <> '' then
    begin
      Valor := StrToFloat(Edit1.Text);
      Memo1.Text := Extenso1.GetExtenso(Valor);
    end;
end;


end.
