unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, DB, DBTables, ImgList, EXPStyle, Grids, DBGrids, ComCtrls,
  StdCtrls, Buttons, ExtCtrls;

type                  
  TFrmConfig = class(TForm)
    PanFundo: TPanel;
    GbxGeral: TGroupBox;
    Label1: TLabel;
    BtnOK: TButton;
    BtnCancelar: TButton;
    Label2: TLabel;
    CbxAbrirReceber: TCheckBox;
    CbxSoarAlarme: TCheckBox;
    CbxAutoCarregar: TCheckBox;
    BtnAplicar: TButton;
    CbxExibirDicas: TCheckBox;
    RBtnPadrao: TRadioButton;
    RBtnArquivo: TRadioButton;
    GbxIdent: TGroupBox;
    Label3: TLabel;
    EdtSenha: TEdit;
    EdtArquivo: TEdit;
    PgControlCfg: TPageControl;
    TbsUsuario: TTabSheet;
    TbsOpcoes: TTabSheet;
    Bevel1: TBevel;
    GbxSom: TGroupBox;
    GbxLeitura: TGroupBox;
    Bevel2: TBevel;
    Bevel3: TBevel;
    GroupBox1: TGroupBox;
    ListView1: TListView;
    EvXPStyle1: TEvXPStyle;
    ImageList1: TImageList;
    TabSheet1: TTabSheet;
    GroupBox2: TGroupBox;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Table1: TTable;
    Table1Nome: TStringField;
    Table1Arquivo: TStringField;
    Edit1: TEdit;
    UpDown1: TUpDown;
    BtnArquivo: TSpeedButton;
    ImgMenu: TImageList;
    MainMenu1: TMainMenu;
    mmArquivo: TMenuItem;
    ItmNotas: TMenuItem;
    ItmVencimentos: TMenuItem;
    ItmCapitalSocial: TMenuItem;
    ItmTreinamentos: TMenuItem;
    N2: TMenuItem;
    ItmFechar: TMenuItem;
    mmEditar: TMenuItem;
    ItmIncluir: TMenuItem;
    ItmAlterar: TMenuItem;
    ItmExcluir: TMenuItem;
    N1: TMenuItem;
    ItmConfirmar: TMenuItem;
    ItmCancelar: TMenuItem;
    mmOpcoes: TMenuItem;
    ItmLocalizar: TMenuItem;
    ItmRelatorios: TMenuItem;
    Bevel4: TBevel;
    PopupMenu1: TPopupMenu;
    ItmIncluir1: TMenuItem;
    ItmAlterar1: TMenuItem;
    ItmExcluir1: TMenuItem;
    N4: TMenuItem;
    ItmConfirmar1: TMenuItem;
    ItmCancelar1: TMenuItem;
    ComboBox1: TComboBox;
    procedure BtnCancelarClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure RBtnClick(Sender: TObject);
    procedure CbxSoarAlarmeClick(Sender: TObject);
  private
  public
    { Public declarations }
  end;

var
  FrmConfig: TFrmConfig;

implementation

{$R *.DFM}

// FormCreate
procedure TFrmConfig.FormCreate(Sender: TObject);
var
  I: Integer;
begin
  // ajuste da altura da janela (compatibilidade com WinXP)
  ClientHeight := BtnOK.Top + 33;
  PgControlCfg.ActivePageIndex := 0;

  if not FileExists('Dados.db') then
    begin
      Table1.CreateTable;
      Table1.Open;
      for I := 0 to ListView1.Items.Count-1 do
        begin
          Table1.Append;
          Table1Nome.AsString := ListView1.Items[I].Caption;
          Table1Arquivo.AsString := ListView1.Items[I].SubItems[0];
          Table1.Post;
        end;
      Table1.First;
    end
  else
    Table1.Open;
end;


// CbxSoarAlarmeClick
procedure TFrmConfig.CbxSoarAlarmeClick(Sender: TObject);
begin
  RBtnPadrao.Enabled := CbxSoarAlarme.Checked;
  RBtnArquivo.Enabled := CbxSoarAlarme.Checked;
  RBtnClick(nil);
end;


// RBtnClick
procedure TFrmConfig.RBtnClick(Sender: TObject);
begin
  if RBtnPadrao.Checked or not RBtnArquivo.Enabled then
    begin
      EdtArquivo.Color := Self.Color;
      EdtArquivo.Enabled := False;
      BtnArquivo.Enabled := False;
    end
  else if RBtnArquivo.Checked then
    begin
      EdtArquivo.Color := clWindow;
      EdtArquivo.Enabled := True;
      BtnArquivo.Enabled := True;
      if Visible then
        EdtArquivo.SetFocus;
    end;
end;


// BtnCancelarClick
procedure TFrmConfig.BtnCancelarClick(Sender: TObject);
begin
  Close;
end;


end.
